Skip to content

Determine whether the user has permission to perform a certain operation on a certain resource ​

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Determine whether the user has permission to perform a certain operation on a certain resource.

Method name ​

ManagementClient.is_action_allowed

Request parameters ​

NameTypeIs it required?Default valueDescriptionSample value
resourcestringYes-Resource identifierecs:1
actionstringYes-Action corresponding to the resourceecs:Start
userIdstringYes-User IDuserId1
namespacestringNo-Code of the permission group (permission space). Do not pass to obtain the default permission group.default

Request Response ​

Type: IsActionAllowedRespDtp

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a IsActionAllowedDataDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "allowed": true
  }
}

Data Structure ​

IsActionAllowedDataDto ​

NameTypeIs it requiredDescriptionExample value
allowedbooleanyesis it allowedtrue